function ell = make_ellipsoid(gamma_y, gamma_z)
    f = figure();
    p = get(f, 'Position');
    set(f, 'Position' , [p(1)*1.5, p(2)-200, p(4)*1.5, p(4)*1.5]);
    ax = subplot(1,1,1);
    view(3);
    s = size(gamma_y);
    
    ev = [real(gamma_y(2,:)); ones([s(2),1])'; real(gamma_z(2,:))];
    
    [X,Y,Z] = ellipsoid(0,0,0,ev(1,1),ev(2,1),ev(3,1));
    
%     axis([-1,1,-1,1,-1,1]);
    plt = surf(ax,X,Y,Z);
    plt.EdgeColor = 'interp';
    plt.FaceColor = 'None';
    axis(ax, [-1,1,-1,1,-1,1]);
    
    
    current_freq = gamma_y(1,1);
    title(ax, 'Relative Conductivity Ellipsoid');
    
    slider = uicontrol('Parent',f, 'Style','slider','Position',[20, 20, 250, 20],...
              'value',current_freq, 'min', 1, 'max', s(2), 'sliderstep', [1/((s(2)-1)/2), 1/((s(2)-1)/2)]);
    
    text = uicontrol('Parent',f,'Style','text','Position',[20, 40, 100, 23],...
                    'String',string(current_freq)+'Hz','BackgroundColor',f.Color);
    
    slider.Callback = @(es,ed) ellips_callback(es,ed, ev, gamma_y(1,:),  plt, text);
    
    xlabel('y', 'Fontsize', 18);
    ylabel('x', 'Fontsize', 18);
    zlabel('z', 'Fontsize', 18);
    ell = f;
end

function ellips_callback(es, ed, ev, freqs, plt, text)
%     es.Value
    current_freq = round(es.Value);
    text.String = string(freqs(current_freq)) + 'Hz';
    [X,Y,Z] = ellipsoid(0,0,0,ev(1,current_freq),ev(2,current_freq),ev(3,current_freq));
    set(plt, 'XData', X, 'YData', Y, 'ZData', Z);
    
end
